| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# DetPersistencySvc Class Reference

`#include <DetPersistencySvc.h>`

Inheritance diagram for DetPersistencySvc:

[legend]
Collaboration diagram for DetPersistencySvc:

[legend]

List of all members.

## Detailed Description

Definition at line 6 of file DetPersistencySvc.h.

## Public Member Functions
virtual StatusCode | initialize ()
| Initialize the service.
virtual StatusCode | finalize ()
| stop the service.
| DetPersistencySvc (const std::string &name, ISvcLocator *svc)
virtual | ~DetPersistencySvc ()
## Friends
class | SvcFactory< DetPersistencySvc >

## Constructor & Destructor Documentation

DetPersistencySvc::DetPersistencySvc | ( | const std::string & | name,
|  | ISvcLocator * | svc |
| ) |  |  |

Definition at line 29 of file DetPersistencySvc.cpp.

    00030  :  PersistencySvc(name, svc)
    00031 {}

DetPersistencySvc::~DetPersistencySvc | ( |  | ) | `[virtual]`

Definition at line 34 of file DetPersistencySvc.cpp.

    00035 {}

## Member Function Documentation

StatusCode DetPersistencySvc::initialize | ( |  | ) | `[virtual]`

Initialize the service.

Reimplemented from PersistencySvc.

Definition at line 22 of file DetPersistencySvc.cpp.

    00023 {
    00024   StatusCode status = PersistencySvc::initialize();
    00025   return status;
    00026 }

StatusCode DetPersistencySvc::finalize | ( | void |  | ) | `[virtual]`

stop the service.

Reimplemented from PersistencySvc.

Definition at line 15 of file DetPersistencySvc.cpp.

    00016 {
    00017   StatusCode status = PersistencySvc::finalize();
    00018   return status;
    00019 }

## Friends And Related Function Documentation

friend class SvcFactory< DetPersistencySvc >`[friend]`

Definition at line 10 of file DetPersistencySvc.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiSvc/src/PersistencySvc/DetPersistencySvc.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiSvc/src/PersistencySvc/DetPersistencySvc.cpp